Plume API
Cards

/cards/rank

Create a rank card

GET
/cards/rank

Query Parameters

avatar?string

A valid image URL

Length1 <= length <= 2048
global_name*string

The user global name

Length1 <= length <= 100
username*string

The username

Length1 <= length <= 100
level*number

The user level

Range0 <= value
xp*number

The user xp (relative to the current level)

Range0 <= value
max_xp*number

The XP required for the next level (relative to the current level)

Range0 <= value
rank?integer

The user rank

Range0 <= value
bg_url?string

A valid image URL

Length1 <= length <= 2048
bg_color?string

A valid hexadecimal color (without the #)

Match^[A-Fa-f0-9]{6}$
Length6 <= length <= 6
blur?boolean

Blur the background image if there is one

color?string

A valid hexadecimal color (without the #)

Match^[A-Fa-f0-9]{6}$
Length6 <= length <= 6

Response Body

image/png

application/json

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/cards/rank?global_name=string&username=string&level=0&xp=0&max_xp=0"
"string"
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}